안드로이드 스튜디오에서 API레벨 바꾸는 법

안드로이드 스튜디오에서 최소 SDK버전을 API12에서 API14로 바꾸고 싶은데요. 아래처럼 manifest파일에서 바꿨는데

<uses-sdk
    android:minSdkVersion="14"
    android:targetSdkVersion="18" />

바꾸고 프로젝트를 rebuilding해도 안드로이드 스튜디오에서 에러가 나요. 프로젝트 속성이나 그 비슷한거에서 최소 SDK버전을 설정해야한다고 생각하는데 안드로이드 스튜디오에 그게 어딨는지 잘 모르겠어요.

1답변

  • 좋아요

    0

    싫어요
    채택취소하기

    최소 SDK버전을 설정하시려면 src/build.gradle에 가서

    apply plugin: 'com.android.application'
    
    android {
        compileSdkVersion 23
        buildToolsVersion "23.0.2"
    
        defaultConfig {
            applicationId "com.stackoverflow.answer"
            minSdkVersion 16
            targetSdkVersion 23
            versionCode 1
            versionName "1.0"
        }
        buildTypes {
            release {
                minifyEnabled false
                proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    
    dependencies {
        androidTestCompile 'junit:junit:4.12'
        compile fileTree(dir: 'libs', include: ['*.jar'])
    }
    

    이렇게 해주셔야됩니다.

    그리고 Sync Gradle버튼을 누르고 프로젝트를 Rebuild해주시면 됩니다.

ᕕ( ᐛ )ᕗ
로그인이 필요합니다

작성한 답변에 다른 개발자들이 댓글을 작성하거나 댓글에 좋아요/싫어요를 할 수 있기 때문에 계정을 필요로 합니다.